<? // if ( count($this->defined_values) ): ?>

<?
$selected = $this->selected;
$existing_filters = $this->existing_filters;
$defined_values = $this->defined_values;
//var_dump($existing_filters);
//$nnn = Model_Escort_List::getActiveFilter($filter);
if (count($selected)) {
    $tmp_values = array();
    $not_active_filters = array();

    foreach ($selected AS $k => $sel) {
        foreach ($defined_values as $dk => $def_value) {
            if ($sel == $def_value['value']) {
                $tmp_values[] = $defined_values[$dk];
                unset($defined_values[$dk]);
            }
        }
    }

    $defined_values = array_merge($tmp_values, $defined_values);
}

/*foreach ($defined_values as $k => $value) {
    $key = 'ethnicity_' . $value['value'];

    if (!$existing_filters->$key && !in_array($value['value'], $selected)) {
        $not_active_filters[$k] = $value;
        unset($defined_values[$k]);
    }
}*/

$defined_values = array_values($defined_values);
?>
<? if (!$this->isMobileView): ?>
    <div class="col-3 d-flex dropdown-selection mr-20 flex-fill">
<? endif; ?>
    <label for="ethnicity<?= ($this->isMobileView) ? '-mob' : '' ?>"><?= __('ethnicity') ?></label>
    <select size="5" class="multiple-dropdown-box <?if ($this->isMobileView) echo 'drop-cropable';?>" name="<?= $this->mapper_param->getName() ?>[]" multiple
            id="ethnicity<?= ($this->isMobileView) ? '-mob' : '' ?>" data-placeholder="<?= $this->title ?>">
        <? if (count($defined_values)): ?>
            <? foreach ($defined_values as $k => $filter): ?>
                <option <?= (in_array($filter['value'], $this->selected)) ? 'selected' : '' ?>
                        value="<?= $filter['value'] ?>"><?= $filter['title'] ?></option>
            <? endforeach; ?>
        <? endif; ?>
        <? foreach ($not_active_filters as $k => $filter): ?>
            <option disabled value="<?= $k ?>"><?= $filter['title'] ?></option>
        <? endforeach; ?>
    </select>
<? if (!$this->isMobileView): ?>
    </div>
<? endif; ?>


<? // endif; ?>